## GimpBrowser

GimpBrowser — A base class for a documentation browser.

## Functions

GtkWidget * | gimp_browser_new ()
void | gimp_browser_add_search_types ()
void | gimp_browser_set_widget ()
void | gimp_browser_show_message ()

## Signals

void | search | Run Last

## Types and Values

| GimpBrowser

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkPaned
                            ╰── GtkHPaned
                                ╰── GimpBrowser

## Implemented Interfaces

GimpBrowser implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A base class for a documentation browser.

## Functions

### gimp_browser_new ()

    GtkWidget *
    gimp_browser_new (void);

Create a new GimpBrowser widget.

#### Returns

a newly created GimpBrowser.

Since: 2.4

### gimp_browser_add_search_types ()

    void
    gimp_browser_add_search_types (GimpBrowser *browser,
                                   const gchar *first_type_label,
                                   gint first_type_id,
                                   ...);

Populates the GtkComboBox with search types.

#### Parameters

browser | a GimpBrowser widget |
first_type_label | the label of the first search type |
first_type_id | an integer that identifies the first search type |
... | a `NULL`-terminated list of more labels and ids. |

Since: 2.4

### gimp_browser_set_widget ()

    void
    gimp_browser_set_widget (GimpBrowser *browser,
                             GtkWidget *widget);

Sets the widget to appear on the right side of the `browser` .

#### Parameters

browser | a GimpBrowser widget |
widget | a GtkWidget |

Since: 2.4

### gimp_browser_show_message ()

    void
    gimp_browser_show_message (GimpBrowser *browser,
                               const gchar *message);

Displays `message` in the right side of the `browser` . Unless the right side already contains a GtkLabel, the widget previously added with `gimp_browser_set_widget()` is removed and replaced by a GtkLabel.

#### Parameters

browser | a GimpBrowser widget |
message | text message |

Since: 2.4

## Types and Values

### GimpBrowser

    typedef struct _GimpBrowser GimpBrowser;

## Signal Details

### The `“search”` signal

    void
    user_function (GimpBrowser *gimpbrowser,
                   gchar       *arg1,
                   gint         arg2,
                   gpointer     user_data)

Flags: Run Last